package com.cf.imes.module.system.service.machine;

import com.cf.imes.framework.organ.core.context.OrganContextHolder;
import com.cf.imes.module.system.controller.admin.machine.vo.CuttingSaveReqVO;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import javax.annotation.Resource;

import static com.cf.imes.framework.test.core.util.RandomUtils.randomPojo;

@SpringBootTest
class MachineServiceImplTest {

    @Resource
    private MachineService machineService;
    @Test
    void create() {
        OrganContextHolder.setOrganId(1L);
        for (int i = 0; i < 20; i++) {
            CuttingSaveReqVO saveReqVO = randomPojo(CuttingSaveReqVO.class);
            saveReqVO.setId(null);
            Long aLong = machineService.createCutting(saveReqVO);
        }

    }

    @Test
    void update() {
    }

    @Test
    void delete() {
    }

    @Test
    void get() {
    }

    @Test
    void getPage() {
    }
}